<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Evaluation</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="/scripts/utils.js"></script>
    <script src="./scripts/eval.js"></script>
    <style>
        pre {
            padding: 5px;
            border: 1px solid var(--primary);
        }

        code {
            outline: 0;
        }
    </style>
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand" href="/">Home</a>
</nav>
<div class="container">
    <div id="exoPromise">
        <h1>Exo Promise</h1>
        <p>
            Utiliser l'objet Promise pour créer une function permettant de gérer une requète XHR de type GET.
            Récuperer l'objet https://jsonplaceholder.typicode.com/todos/1
        </p>
        <script>
            var result = function (url) {
            };
            verifResult('exoPromise', result);
        </script>
        <button type="button" onclick="validCode('exoPromise'); return false;" class="btn btn-success">Eval code
        </button>
    </div>
</div>
</body>
</html>
